Homebrew Question How to downgrade a game's required firmware with nsc builder

Aglae Pheryl

Well-Known Member
OP
Member
Joined
Feb 25, 2014
Messages
411
Trophies
0
Age
51
XP
1,299
Country
France
Hi,

I created a "super' xci including the game and an update using nsc builder. This usually works great but the update for this game requires the latest firmware (the game does not).

Here's the info I get for the game & update from the file info mode:

Required Firmware:
- Included Firmware: Deleted
- RequiredSystemVersion: 671088640 -> (10.0.0)
- Encryption (keygeneration): 11 -> (9.0.0 - >9.1.0)
- Patchable to: 605028352 -> (9.1.0)

Required Firmware:
- Included Firmware: Deleted
- RequiredSystemVersion: 738263040 -> (11.0.1)
- Encryption (keygeneration): 11 -> (9.0.0 - >9.1.0)
- Patchable to: 605028352 -> (9.1.0)

How can I 'convert' the update to not require 11.0.1 for the 'super' xci file ?

Thanks.
 

BigOnYa

Sofa King Special
Member
Joined
Jan 11, 2021
Messages
1,129
Trophies
0
Age
47
XP
1,119
Country
United States
Hi,

I created a "super' xci including the game and an update using nsc builder. This usually works great but the update for this game requires the latest firmware (the game does not).

Here's the info I get for the game & update from the file info mode:

Required Firmware:
- Included Firmware: Deleted
- RequiredSystemVersion: 671088640 -> (10.0.0)
- Encryption (keygeneration): 11 -> (9.0.0 - >9.1.0)
- Patchable to: 605028352 -> (9.1.0)

Required Firmware:
- Included Firmware: Deleted
- RequiredSystemVersion: 738263040 -> (11.0.1)
- Encryption (keygeneration): 11 -> (9.0.0 - >9.1.0)
- Patchable to: 605028352 -> (9.1.0)

How can I 'convert' the update to not require 11.0.1 for the 'super' xci file ?

Thanks.
Have you tried ReNXpack? Not sure if it works on XCI files tho. You could patch the game/ update with ReNXpack, then try repack as a super XCI with NSCBuilder... https://gbatemp.net/threads/renxpack-repack-nintendo-switch-nsps-to-work-on-lower-firmwares.535614/
 
Last edited by BigOnYa,

Aglae Pheryl

Well-Known Member
OP
Member
Joined
Feb 25, 2014
Messages
411
Trophies
0
Age
51
XP
1,299
Country
France
Have you tried ReNXpack? Not sure if it works on XCI files tho. You could patch the game/ update with ReNXpack, then try repack as a super XCI with NSCBuilder... https://gbatemp.net/threads/renxpack-repack-nintendo-switch-nsps-to-work-on-lower-firmwares.535614/
This only works with nsp files. However I had overlooked one of the option in nsc builder that actually allows to downgrade the required firmware. Just tested on the game I was trying to process and it works.
Problem solved... for now. But I certainly will be happy when/if TX releases an update for sxos.
Thanks.

BTW: there are a few tools that seem to be capable of downgrading required firmware. Haven't ested yet but found SAK (SAK_v0.7.6_64bit_20201230-20-07-01.zip)
 

MasterJ360

Well-Known Member
Member
Joined
Jan 10, 2016
Messages
2,334
Trophies
1
Age
32
XP
2,364
Country
United States
This only works with nsp files. However I had overlooked one of the option in nsc builder that actually allows to downgrade the required firmware. Just tested on the game I was trying to process and it works.
Problem solved... for now. But I certainly will be happy when/if TX releases an update for sxos.
Thanks.

BTW: there are a few tools that seem to be capable of downgrading required firmware. Haven't ested yet but found SAK (SAK_v0.7.6_64bit_20201230-20-07-01.zip)
I can confirm SAK definitely works maybe even better than NSC Builder. I got both Ryza2 and Galgun Returns downgraded with their latest updates using SAK to work on 11.0. I tried to downgrade those 2 games with NSCB, but it didn't work
 
  • Like
Reactions: BigOnYa

iLL wiLL

Well-Known Member
Member
Joined
Dec 2, 2013
Messages
234
Trophies
0
Age
41
XP
383
Country
United States
Can you downgrade from 12xx to 11xx with the new 12xx keys?? So I can play newer games that's on 12xx sdk fw like axiom verge 2.I tried the xci versions from nsc2u and others but they don't work!!! We need another group that can program like sxos im thinking about taking classes online so I can learn some of this so I can do out myself!!!
 
Last edited by iLL wiLL,

MasterJ360

Well-Known Member
Member
Joined
Jan 10, 2016
Messages
2,334
Trophies
1
Age
32
XP
2,364
Country
United States
Can you downgrade from 12xx to 11xx with the new 12xx keys?? So I can play newer games that's on 12xx sdk fw like axiom verge 2.I tried the xci versions from nsc2u and others but they don't work!!! We need another group that can program like sxos im thinking about taking classes online so I can learn some of this so I can do out myself!!!
axiom verge 2 wont work downgraded on 11.0. It only launches but gets stuck at the switch logo screen. Other games like MH Stories 2 and Zelda Skyward Sword still work downgraded even tho their updates require 12.XX. Before this thread get attacked with sxos dislikers.... at some point of time future games will not be able to downgrade to 11.0 unless someone is bright enough to bypass the 12.X SDK
 

iLL wiLL

Well-Known Member
Member
Joined
Dec 2, 2013
Messages
234
Trophies
0
Age
41
XP
383
Country
United States
axiom verge 2 wont work downgraded on 11.0. It only launches but gets stuck at the switch logo screen. Other games like MH Stories 2 and Zelda Skyward Sword still work downgraded even tho their updates require 12.XX. Before this thread get attacked with sxos dislikers.... at some point of time future games will not be able to downgrade to 11.0 unless someone is bright enough to bypass the 12.X SDK

--------------------- MERGED ---------------------------

can u help me out then?? I have ofw 11.0.1 sxos 3.1.0 .can I create emunand on the same card and install atmosphere and update the emunand to12.10 a use that for newer games on atmosphere and keep my ofw on 11.0.1 for sxos xcis??im not banned I have an old switch from 2017.thanks will
 
Last edited by iLL wiLL,

MasterJ360

Well-Known Member
Member
Joined
Jan 10, 2016
Messages
2,334
Trophies
1
Age
32
XP
2,364
Country
United States
--------------------- MERGED ---------------------------

can u help me out then?? I have ofw 11.0.1 sxos 3.1.0 .can I create emunand on the same card and install atmosphere and update the emunand to12.10 a use that for newer games on atmosphere and keep my ofw on 11.0.1 for sxos xcis??im not banned I have an old switch from 2017.thanks will
I honestly have no experience on having both cfw on the same sd card. I just have 2 Switch that have their own cfw on them. There should already be a thread/guide within switch hacks tab.
 

LiborNX

Active Member
Newcomer
Joined
Aug 31, 2021
Messages
26
Trophies
0
Age
41
XP
54
Country
Czech Republic
General chit-chat
Help Users
    KennieDaMeanie @ KennieDaMeanie: I still gotta flash my 3ds probably later today